#include <rgb_lcd.h>

rgb_lcd pantalla;

int pot = A0;
int valorPot;
int datoRecibido;

void setup() {
  Serial.begin(9600);
  pantalla.begin(16, 2);
  pantalla.clear();
  pantalla.setRGB(0, 0, 0);

}

void loop() {
  //leemos el potenciómetro
  valorPot = analogRead(pot);

  pantalla.clear();
  pantalla.setCursor(0, 0);
  pantalla.print(datoRecibido);
  pantalla.setCursor(0, 1);
  pantalla.print(valorPot);

  //enviamos el dato del valorPot a Arduino
  Serial.println(valorPot);
  
  //checamos si hay información enviada desde Processing
  if (Serial.available()>0){
    datoRecibido = Serial.read(); //leemos el dato enviado desde Processing
   
    if (datoRecibido == 0) pantalla.setRGB(0, 0, 0);
    if (datoRecibido == 1) pantalla.setRGB(255, 0, 0);
    if (datoRecibido == 2) pantalla.setRGB(0, 255, 0);
    if (datoRecibido == 3) pantalla.setRGB(0, 0, 255);

  }
  delay(100);



}
