class Medidor{
  //propiedades
  int xM, yM, rM;
  int angulo; //angulo de la medida
  color puntero;
  color borde;
  color fondo;
  
  Medidor(int x, int y, int r, color puntero, color borde, color fondo){
    this.xM = x;
    this.yM = y;
    this.rM = r;
    this.puntero = puntero;
    this.borde = borde;
    this.fondo = fondo;
  }
  
  void show(){
    pushMatrix();
      translate(xM, yM); //traslada el origen a la coordenada dada por xM, yM
      stroke(borde);
      strokeWeight(3);
      noFill();
      ellipse(0, 0, 2*rM+15, 2*rM+15);
      
      stroke(200);
      strokeWeight(1);
      noFill();
      ellipse(0, 0, 2*rM, 2*rM);
      
      fill(fondo);
      noStroke();
      rect(-rM-20, 0, 2*rM+40, rM+20);
      
      noFill();
      stroke(borde);
      line(-rM-20, 0, rM+20, 0);
      
      rotate(radians(angulo));
      
      fill(puntero);
      noStroke();
      //triangle(0, -8, 0, 8, -rM, 0);
      triangle(0, -8*rM/120, 0, 8*rM/120, -rM, 0);
      
      strokeWeight(1);
      stroke(0);
    
    popMatrix();
  }
}
    
